<template>
<PeruUserCenterLayout :title="$t('promotion')" v-if="theme.includes('/peru')">
  <div class="w-full p-4 font-[500]">
    <MyPromotionPeru />
  </div>
</PeruUserCenterLayout>
  <user-center-layout v-else :title="$t('promotion')">
    <el-scrollbar height="724px">
      <div class="relative w-full mx-auto p-6 my-promotion-page">
        <el-table
          v-loading="isLoading"
          :data="promotion.PromotionApplyList"
          width="100"
          height="auto"
        >
          <template #empty>
            <lazy-utils-not-found />
          </template>
          <el-table-column
            prop="RequestId"
            label="#"
            min-width="70"
            align="center"
          />
          <el-table-column :label="$t('title')" align="center">
            <el-table-column
              :label="$t('promotion_code')"
              min-width="140"
              align="center"
            >
              <template #default="scope">
                <span>{{ scope.row.PromotionTitle }}</span>
                <p>{{ scope.row.PromoCode }}</p>
              </template>
            </el-table-column>
          </el-table-column>
          <el-table-column
            prop="RequestedOn"
            :label="$t('requested_on')"
            min-width="140"
            align="center"
          />
          <el-table-column :label="$t('start_date')" align="center">
            <el-table-column
              :label="$t('end_date')"
              min-width="100"
              align="center"
            >
              <template #default="scope">
                <span>{{ scope.row.StartDate }}</span>
                <p>{{ scope.row.EndDate }}</p>
              </template>
            </el-table-column>
          </el-table-column>
          <el-table-column
            prop="VerifiedAmountForDisplay"
            :label="$t('approved_amount')"
            min-width="150"
            align="right"
            header-align="center"
          />
          <el-table-column
            prop="TurnoverForDisplay"
            :label="$t('turnover')"
            min-width="100"
            align="right"
            header-align="center"
          />
          <el-table-column
            prop="Status"
            :label="$t('status')"
            min-width="100"
            align="left"
            header-align="center"
          >
            <template #default="scope">
              <span :class="`fc-${scope.row.colorClass}`">{{
                scope.row.Status
              }}</span>
            </template>
          </el-table-column>
          <el-table-column
            :label="$t('turnover_progress')"
            min-width="120"
            align="center"
          >
            <template #default="scope">
              <el-progress
                v-if="scope.row.Status === approved"
                :text-inside="true"
                :stroke-width="20"
                :percentage="scope.row.Progress"
              />
            </template>
          </el-table-column>
        </el-table>
      </div>
    </el-scrollbar>
  </user-center-layout>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import HeaderTitle from "@/components/new-black-theme/m-header-title.client.vue";
import MyPromotionPeru from './transaction-history/my-promotion.vue';
import PeruUserCenterLayout from '../components/theme/desktop/peru/components/user-center-layout.client.vue';
export default defineComponent({
  components: {
    HeaderTitle,
    PeruUserCenterLayout,
    MyPromotionPeru,
  },
  props: {
    containerClass: {
      type: String,
      default: "",
    },  
    theme: {
      type: String,
      default: "",
    },
  },
  setup() {
    const { promotion, approved, isLoading } = useMyPromotion();
    return {
      promotion,
      approved,
      isLoading,
    };
  },
});
</script>

<style scoped>
/* [layout="sbo"] .my-promotion-page {
  background: var(--background1, white);
} */
.uc-section :deep(.el-progress) {
  max-width: 104px;
  height: 24px;
  margin: 0 auto;
}
[layout="peru"] .uc-section :deep(.el-progress) {
  max-width: 100%;
  height: 24px;
  margin-top: 12px;
}
.uc-section :deep(.el-progress-bar__outer) {
  --el-border-color-lighter: var(--border);
}
.uc-section :deep(.el-progress-bar__inner) {
  border-radius: unset;
}
.uc-section :deep(.el-table__empty-block) {
    border: 2px solid var(--border);
    border-top: unset;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}
</style>
